CreativesSync status

Sync status

Where the client's Meta ads are read from, the last sync and a read still in progress.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "source_kind": "managed",
    "source_project": "example_string",
    "source_dataset": "example_string",
    "source_synced_at": "2024-12-25T10:00:00Z",
    "status": "ok",
    "error": "example_string",
    "last_synced_at": "2024-12-25T10:00:00Z",
    "last_attempt_at": "2024-12-25T10:00:00Z",
    "last_counts": {},
    "consecutive_failures": 42,
    "syncing": true,
    "traversal": {
      "started_at": "2024-12-25T10:00:00Z",
      "rows": 42
    },
    "pipeline_enabled": true
  }
}
GET
/client/v1/creatives/sync
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Responses

successboolean
dataobject